/* ============================= */
/* RESET Y VARIABLES */
/* ============================= */

@font-face {
  font-family: 'FuenteSolar';
  src: url("../Font/RumieDenimRegular.woff") format("woff"),
	   url("../Font/RumieDenimRegular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

:root {
  --primary-red: #e62017;
  --primary-yellow: #ffcc00;
  --dark: #111;
  --light: #fff;
  --gray: #f5f5f5;
  --transition: 0.3s ease;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body, button, input, textarea {
  font-family: 'FuenteSolar', sans-serif;
  letter-spacing: 2px;
}

/* ============================= */
/* NAVBAR */
/* ============================= */

.navbar {
  position: fixed;
  top: 0;
  width:100%;
  background: #e82217;
  padding: 18px 60px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: nowrap;
  z-index: 999;
}

.logo{
  display:flex;
  align-items:center;
}

.logo img{
  height:60px;
  width:auto;
  display:block;
}

.nav-links {
	margin-top: 25px;
  font-size: 20px;
  list-style: none;
  display: flex;
  align-items: center;
  gap: 40px;
}

.nav-links li{
  display:flex;
  align-items:center;
}

.nav-links a {
  text-decoration: none;
  color: #d3d3d3;
  font-weight: 800;
  transition: var(--transition);
  display:flex;
  align-items:center;
}

.nav-links a:hover {
  color: var(--primary-yellow);
}

.menu-toggle{
  display:none;
  font-size:28px;
  color:white;
  cursor:pointer;
}

/* ============================= */
/* DESPLEGABLE COMPRAR ENTRADAS */
/* ============================= */

.dropdown {
  position: relative;
}

.dropdown .ticket-btn {
  background: #fdc406;
  color: #302825;
  padding: 20px 40px;
  font-size: 20px;
  border-radius: 30px;
  font-weight: 900;
  border: 3px solid #302825;
  cursor: pointer;
  transition: var(--transition);
	 white-space: nowrap;
}

.ticket-btn:hover {
  background: #302825;
  color: var(--primary-yellow);
}

.dropdown-menu {
  position: absolute;
  align-items: center;
  top: 60px;
  right: 0;
  background: #ff6505;
  border-radius: 12px;
  box-shadow: 0 10px 25px rgba(0,0,0,0.2);
  display: none;
  flex-direction: column;
  align-items: center;
  min-width: 220px;
  overflow: hidden;
}

.dropdown-menu a {
  line-height: 1.3;
  padding: 14px 20px;
  text-decoration: none;
  color: white;
  font-weight: 800;
  transition: var(--transition);
  text-align: center;
  width: 100%;
  border-bottom: 1px solid #302825;
}

.dropdown-menu a:last-child {
  border-bottom: none;
}

.dropdown-menu a:hover {
	color: #302825;
  background: var(--primary-yellow);
}

.dropdown.active .dropdown-menu {
  display: flex;
}

/* ============================= */
/* HERO */
/* ============================= */

.hero{
  position: relative;
  margin-top:90px;
  height: 90vh;
  display:flex;
  align-items:center;
  justify-content:center;
  text-align:center;
  color:var(--light);
  overflow:hidden;
}

.hero-video{
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height:100%;
  object-fit:cover;
  z-index:1;
}

@media (max-width:768px){

.hero{
  height:70vh;
	margin-top: 0px;
}

.hero-video{
  height:100%;
  width:auto;
}

}

.hero-overlay{
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height:100%;
  background:rgba(0,0,0,0.6);
  z-index:2;
}

.hero-content{
  position:relative;
  z-index:3;
}

.hero-content img{
  width: 85%;
  max-width: 1000px;
  height: auto;
  display: block;
  margin: auto;
}



/* ============================= */
/* información General */
/* ============================= */

.general{
  padding:30px 40px;
  background: #fdc406;
}

.info-general{
  max-width:1500px;
  margin:auto;
  display:grid;
  grid-template-columns:repeat(5, 1fr);
  gap:80px;

  justify-items:center;
  align-items:center;
  transition:0.3s ease;
}

.info-general img{
  width:100%;
  height:auto;
  transition:transform 0.3s ease;
}

.info-general img:hover{
  transform:scale(1.08);
}


/* ============================= */
/* Artistas */
/* ============================= */

#artistas{
  background-image:url("../img/Fondo-Line-Up.png");
  background-size:cover;
  background-position:center;
  background-repeat:no-repeat;
  padding:20px 20px;
}

.lineup{
  max-width:1100px;
  margin:auto;
  text-align:center;
}

.lineup img{
  max-width:100%;
  height:auto;
  display:block;
  margin-bottom: 40px;
  object-fit:cover;
}

.titulos{
  width: 900px;
  margin:auto;
  display:block;
}

/* ============================= */
/* Artistas Destacados */
/* ============================= */

.destacados{
  background: linear-gradient(#ec661e, #fdc408);
  background-size:cover;
  background-position:center;
  background-repeat:no-repeat;
  padding:20px 20px;
}

.artistas-destacados{
  max-width:1700px;
  margin:auto;
  text-align:center;
}

.artistas-destacados img{
  max-width:100%;
  height:auto;
  margin:auto;
  object-fit:cover;
}

.destacados-escritorio{
  display:block;
}

.destacados-mobile{
  display:none;
}

.boton-artistas-destacados{
  margin: auto;
  width: 30%;
  padding: 40px;
  transition: transform 0.3s ease;
}

.boton-artistas-destacados:hover{
  transform:scale(1.08);
}

/* ============================= */
/* Precios y Localidades */
/* ============================= */

#localidades{
  background: linear-gradient(#ed8fff, #ffbfdc);
  background-size:cover;
  background-position:center;
  background-repeat:no-repeat;
  padding:20px 20px;
}

.localidades{
  max-width:1700px;
  margin:auto;
  text-align:center;
}

.planos{
  display:flex;
  justify-content:center;
  align-items:center;  
  gap:60px;
  max-width:1000px;
  margin:auto;
  flex-wrap:wrap
}

.planos img{
  width:100%;
  max-width:450px;
}

/* CONTENEDOR GENERAL */
.acordeon{
  width:100%;
  max-width:1200px;
  margin:60px auto;
  display:flex;
  flex-direction:column;
  gap:20px;
}


/* CADA ITEM DEL ACORDEÓN */
.item-acordeon{
  border:3px solid #000000;
  border-radius:10px;
  overflow:hidden;
  background:white;
  box-shadow:0 5px 15px rgba(0,0,0,0.05);
}


/* TITULO DEL ACORDEÓN */
.titulo-acordeon{
  font-size:22px;
  font-weight:bold;
  padding:20px;
  cursor:pointer;
  position:relative;
}


/* QUITA EL ICONO POR DEFECTO */
.titulo-acordeon::-webkit-details-marker{
  display:none;
}


/* ICONO + */
.titulo-acordeon::after{
  content:"+";
  position:absolute;
  right:20px;
  font-size:24px;
  transition:0.3s ease;
}


/* CUANDO SE ABRE */
.item-acordeon[open] .titulo-acordeon::after{
  content:"−";
}


/* CONTENIDO */
.contenido-acordeon{
  padding:0 20px 20px 20px;
  font-size:18px;
  line-height:1.6;
  color:#555;
  animation:aparecer 0.3s ease;
}

table{
  width:100%;
  border-collapse:collapse;
}

th, td{
  text-align:left;
  padding:12px 20px;
}

/* ============================= */
/* Información Familiar */
/* ============================= */

/* SECCIÓN GENERAL */

#familiar{
	background: linear-gradient(#77caf1, #0a8eba);
  padding:40px 20px;
}


/* CONTENEDOR PRINCIPAL */

.informacion-familiar{
  max-width:1200px;
  margin:auto;

  display:grid;
  grid-template-columns: 1fr 1fr;
  grid-template-areas:
    "titulo titulo"
    "imagen acordeon";

 column-gap:60px;
  row-gap:100px;

  align-items:start;
}

/* IMAGEN */

.info-image{
  grid-area:imagen;
  display:flex;
  justify-content:center;
}

.info-image img{
  width:100%;
  height:auto;
}


/* ACORDEONES */

.info-content{
  grid-area:acordeon;
  width:100%;

  display:flex;
  flex-direction:column;
  gap:60px;
}


/* ACORDEON */

.acordeon-item{
  border:3px solid #000000;
  border-radius:10px;
  overflow:hidden;
  background:white;
  box-shadow:0 5px 15px rgba(0,0,0,0.05);
}

.acordeon-item summary{
  font-size:22px;
  font-weight:bold;
  padding:20px;
  cursor:pointer;
  position:relative;
}

.acordeon-item p{
	padding: 20px;

  line-height:1.6;
  color:#555;
}

.info-content h1{
	font-size: 60px;
	color: white;	
}

.info-content h2{
	font-size: 28px;
	margin-top: -40px;
}


/* ============================= */
/* Artistas Familiar */
/* ============================= */

.artistas-familiar{
  background: linear-gradient(#fdc408, #ec661e);
  background-size:cover;
  background-position:center;
  background-repeat:no-repeat;
  padding:20px 20px;
}

.img-artistas-familiar {
  max-width:100%;
  height:auto;
  margin:auto;
  object-fit:cover;
  padding-top: 20px;
}

.contenedor-familiar{
  max-width:1700px;
  margin:auto;
  text-align:center;
}


/* ============================= */
/* Video */
/* ============================= */

.video{
  background: linear-gradient(#c494c3, #f6bdd7);
  background-size:cover;
  background-position:center;
  background-repeat:no-repeat;
  padding:20px 20px;
}

.youtube{
  padding: 20px;
  display:flex;
  justify-content:center;
  align-items:center; 		
}


/* ============================= */
/* Fotos Experiencia Solar */
/* ============================= */

.Experiencia{
  background: linear-gradient(#74cbf3, #0e8eb9);
  background-size:cover;
  background-position:center;
  background-repeat:no-repeat;
  padding:60px 20px;
}

.fotos-experiencia{
  max-width:1450px;
  margin:auto;
  text-align:center;
}

.fotos-experiencia img{
  max-width:100%;
  height:auto;
  margin:auto;
  object-fit:cover;
}

.experiencia-escritorio{
  display:block;
}

.experiencia-mobile{
  display:none;
}

/* ============================= */
/* Preguntas Frecuentes */
/* ============================= */

/* SECCIÓN GENERAL */

#faq{
	background: linear-gradient(#ec661e, #fdc408);
  padding:40px 20px;
}


/* IMAGEN */

.info-image{
  grid-area:imagen;
  display:flex;
  justify-content:center;
}

.info-image img{
  width:120%;

  height:auto;
}


/* ACORDEONES */

.info-content{
  grid-area:acordeon;
  width:100%;

  display:flex;
  flex-direction:column;
  gap:60px;
}


/* ACORDEON */

.acordeon-item{
  border:3px solid #000000;
  border-radius:10px;
  overflow:hidden;
  background:white;
  box-shadow:0 5px 15px rgba(0,0,0,0.05);
}

.acordeon-item summary{
  font-size:22px;
  font-weight:bold;
  padding:20px;
  cursor:pointer;
  position:relative;
}

.acordeon-item p{
	padding: 20px;

  line-height:1.6;
  color:#555;
}

.info-content h1{
	font-size: 60px;
	color: white;	
}

.info-content h2{
	font-size: 28px;
	margin-top: -40px;
}

/* ============================= */
/* Footer */
/* ============================= */

.footer{
  padding:20px 40px;
  background: #e82217;
}

.footer-logos{
  max-width:1000px;
  margin:auto;
  display:grid;
  grid-template-columns:repeat(3, 1fr);
  gap:120px;

  justify-items:center;
  align-items:center;
  transition:0.3s ease;
}

.footer-logos img{
  width:100%;
  height:auto;
  transition:transform 0.3s ease;
}

.footer-logos img:hover{
  transform:scale(1.08);
}

.reveal{
  opacity:0;
  transform:translateY(40px) scale(0.95);
  transition:all 0.8s ease;
}

.reveal.active{
  opacity:1;
  transform:translateY(0) scale(1);
}

/* Responsive Navbar*/

@media (max-width:768px){

  .navbar{
    padding:15px 20px;
    display:flex;
    flex-wrap:wrap;
    align-items:center;
  }
	
  .logo{
    order:1;

  }
	
	
  .dropdown{
    order:2;
  }


  .nav-links{
    order:3;
    width:100%;
    flex-direction:column;
    align-items:center;
    gap:20px;
    margin-top:20px;
    display:none;
  }

  .nav-links.active{
    display:flex;
  }

}

@media (max-width:768px){

  .navbar{
    padding:15px 20px;
    flex-wrap:nowrap; /* 🔥 evita que se rompa */
  }

  .logo img{
    height:45px;
  }

  /* BOTÓN SIEMPRE VISIBLE */
  .dropdown{
    order:2;
    margin-left:auto;
  }

  .dropdown .ticket-btn{
    font-size:12px;
    padding:10px 14px;
    border-radius:25px;
    white-space:nowrap; /* 🔥 evita que se parta */
  }

  /* HAMBURGUESA */
  .menu-toggle{
    display:block;
    order:3;
    margin-left:10px;
  }

  /* MENÚ OCULTO */
  .nav-links{
    position:absolute;
    top:100%;
    left:0;
    width:100%;

    background:#e82217;

    flex-direction:column;
    align-items:center;
    gap:25px;

    padding:25px 0;
    margin-top:0;

    opacity:0;
    visibility:hidden;
    transform:translateY(-10px);
    transition:all 0.3s ease;
  }

  .nav-links.active{
    opacity:1;
    visibility:visible;
    transform:translateY(0);
  }
}

/* Responsive Información General*/

@media (max-width:600px){

  .info-general{
  grid-template-columns:repeat(2,1fr);
  gap:20px;
  padding:0;
  align-items:center; 
  justify-items:start;
  }

  .info-general img{
  width:100%;
  height:auto;
  display:block;
}
}

/* Responsive Artistas*/

@media (max-width:600px){
	
  .lineup img{
  max-width:100%;
  height:auto;
  display:block;
  margin-bottom: auto;
  object-fit:cover;
}


  .titulos{
  width:90%;
  padding: 10px;
  }
	
  .lineup img{
  padding-bottom: 40px;
  }
	
  .boton-artistas-destacados{
  margin: auto;
  width: 100%;	  
	  
}
	
  .destacados-escritorio{
    display:none;
  }

  .destacados-mobile{
    display:block;
  }
	
  .planos{
    flex-direction:column;
	gap:30px;
  }

  .planos img{
    width:80%;
	 
  }
	
/* ocultar encabezado de tabla */
.contenido-acordeon thead{
  display:none;
}

/* cada fila se vuelve card */
.contenido-acordeon tbody tr{
  display:block;
  background:#f5f5f5;
  padding:20px;
  margin-bottom:18px;
  border-radius:12px;
  box-shadow:0 5px 15px rgba(0,0,0,0.08);
}

/* ubicación */
.contenido-acordeon tbody tr th{
  display:block;
  font-size:18px;
  font-weight:800;
  margin-bottom:12px;
}

/* precio */
.contenido-acordeon tbody tr td:nth-child(2){
  display:block;
  font-size:18px;
  font-weight:900;
  color:#000000;
}

/* ocultar aforo */
.contenido-acordeon tbody tr td:nth-child(3){
  display:none;
}

/* quitar márgenes innecesarios */
.contenido-acordeon tbody tr td p{
  margin:0;
}	
	
/* layout en una sola columna */

.informacion-familiar{
  grid-template-columns:1fr;
  grid-template-areas:
    "titulo"
    "acordeon";
	gap: 20px;
}

/* ocultar ilustración */

.info-image{
  display:none;
}

/* acordeones ocupan todo el ancho */

.info-content{
  width:100%;
  align-items:stretch;
  gap:20px;
}

/* cada acordeon full width */

.acordeon-item{
  width:100%;
}
	
.acordeon-item p {
  padding: 20px;
	text-align: justify;
}

.info-content h1{
	font-size: 30px;
    text-align: center;
	padding-bottom: 20px;
	
}

.info-content h2{
	font-size: 20px;
	text-align: center;
}
	
.youtube iframe{
width:100%;
max-width:1100px;
aspect-ratio:16/9;
height:auto;
}
	
.experiencia{
		padding: 0px;
	}
	
.experiencia-escritorio{
    display:none;
  }

.experiencia-mobile{
    display:block;
  }
	
	.general{
  padding:30px 15px;
}

.footer{
  padding:20px 15px;
}

.footer-logos{
  grid-template-columns:repeat(3,1fr);
  gap:25px;
}

.footer-logos img{
  width:100%;
  height:auto;
}
	body{
  overflow-x:hidden;
}
	
}
	